import { dx as r, dy as s, av as u, au as n, dz as i, dA as y, dB as m } from "./address-QpeLv2yn.mjs";
function t(e) {
  return [...i, y(e)];
}
function p(e, o) {
  const [d, c] = r(e), a = s(t(e), o);
  return {
    protocolName: d,
    payloadName: c,
    payloadLiteral: e,
    ...s(m, o),
    ...a,
    hash: u(n(t(e), a))
  };
}
export {
  p as c
};
